Create a payment schedule
curl --request POST \
--url https://api.synctera.com/v2/payment_schedules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"payment_instruction": {
"request": {
"amount": 607,
"currency": "USD",
"customer_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"dc_sign": "debit",
"originating_account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"receiving_account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"company_entry_description": "PAYROLL",
"company_name": "Asdf Finance",
"effective_date": "2022-03-18",
"external_data": {},
"final_customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hold": {
"amount": 123,
"duration": 2
},
"is_same_day": true,
"memo": "<string>",
"reference_info": "Tempore atque et cum.",
"risk": {
"client_ip": "<string>"
},
"sec_code": "WEB"
},
"type": "ACH"
},
"schedule": {
"interval": 183,
"start_date": "2023-12-25",
"count": 2,
"end_date": "2023-12-25",
"execution_time": "07:30:00"
},
"metadata": {},
"tenant": "abcdef_ghijkl"
}
'import requests
url = "https://api.synctera.com/v2/payment_schedules"
payload = {
"description": "<string>",
"payment_instruction": {
"request": {
"amount": 607,
"currency": "USD",
"customer_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"dc_sign": "debit",
"originating_account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"receiving_account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"company_entry_description": "PAYROLL",
"company_name": "Asdf Finance",
"effective_date": "2022-03-18",
"external_data": {},
"final_customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hold": {
"amount": 123,
"duration": 2
},
"is_same_day": True,
"memo": "<string>",
"reference_info": "Tempore atque et cum.",
"risk": { "client_ip": "<string>" },
"sec_code": "WEB"
},
"type": "ACH"
},
"schedule": {
"interval": 183,
"start_date": "2023-12-25",
"count": 2,
"end_date": "2023-12-25",
"execution_time": "07:30:00"
},
"metadata": {},
"tenant": "abcdef_ghijkl"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
payment_instruction: {
request: {
amount: 607,
currency: 'USD',
customer_id: 'b01db9c7-78f2-4a99-8aca-1231d32f9b96',
dc_sign: 'debit',
originating_account_id: 'b01db9c7-78f2-4a99-8aca-1231d32f9b96',
receiving_account_id: 'b01db9c7-78f2-4a99-8aca-1231d32f9b96',
company_entry_description: 'PAYROLL',
company_name: 'Asdf Finance',
effective_date: '2022-03-18',
external_data: {},
final_customer_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
hold: {amount: 123, duration: 2},
is_same_day: true,
memo: '<string>',
reference_info: 'Tempore atque et cum.',
risk: {client_ip: '<string>'},
sec_code: 'WEB'
},
type: 'ACH'
},
schedule: {
interval: 183,
start_date: '2023-12-25',
count: 2,
end_date: '2023-12-25',
execution_time: '07:30:00'
},
metadata: {},
tenant: 'abcdef_ghijkl'
})
};
fetch('https://api.synctera.com/v2/payment_schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"description": "<string>",
"payment_instruction": {
"request": {
"amount": 607,
"currency": "USD",
"customer_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"dc_sign": "debit",
"originating_account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"receiving_account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"company_entry_description": "PAYROLL",
"company_name": "Asdf Finance",
"effective_date": "2022-03-18",
"external_data": {},
"final_customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hold": {
"amount": 123,
"duration": 2
},
"is_same_day": true,
"memo": "<string>",
"reference_info": "Tempore atque et cum.",
"risk": {
"client_ip": "<string>"
},
"sec_code": "WEB"
},
"type": "ACH"
},
"schedule": {
"interval": 183,
"start_date": "2023-12-25",
"count": 2,
"end_date": "2023-12-25",
"execution_time": "07:30:00"
},
"tenant": "abcdef_ghijkl",
"creation_time": "2023-11-07T05:31:56Z",
"last_updated_time": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"next_payment_date": {
"execution_date": "2023-12-25",
"scheduled_date": "2023-12-25"
}
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}PaymentSchedules
Create a payment schedule
Create a payment schedule
POST
/
payment_schedules
Create a payment schedule
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
payment schedule to create
Payment schedule
User provided description for the payment schedule
- Option 1
- Option 2
Show child attributes
Show child attributes
Payment schedule recurrence configuration
Show child attributes
Show child attributes
User provided JSON format data
The id of the tenant containing the resource.
Example:
"abcdef_ghijkl"
Response
Created payment schedule
Payment schedule
User provided description for the payment schedule
- Option 1
- Option 2
Show child attributes
Show child attributes
Payment schedule recurrence configuration
Show child attributes
Show child attributes
The id of the tenant containing the resource.
Example:
"abcdef_ghijkl"
Payment schedule ID
User provided JSON format data
Show child attributes
Show child attributes
Status of the payment schedule.
Available options:
ACTIVE, EXPIRED, CANCELLED, ERRORED Was this page helpful?
⌘I

